Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.misc
Class GlossyTaskPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.TaskPaneUI
                  org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI
                      org.jdesktop.swingx.plaf.misc.GlossyTaskPaneUI

    public class GlossyTaskPaneUI

extends BasicTaskPaneUI

Paints the JXTaskPane with a gradient in the title bar.

Author:
  Frederic Lavigne

Nested Class Summary

Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI
`BasicTaskPaneUI.ChevronIcon, BasicTaskPaneUI.ContentPaneBorder, BasicTaskPaneUI.PaneBorder`

Field Summary

Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI
`group, mouseListener, mouseOver, propertyListener, roundHeight, titleHeight`

Constructor Summary
`GlossyTaskPaneUI()`

Method Summary
`protected javax.swing.border.Border` | `createPaneBorder()` Creates new border for task pane.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`void` | `update(java.awt.Graphics g, javax.swing.JComponent c)` Overriden to paint the background of the component but keeping the rounded corners.

Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI
`configure, createAction, createContentPaneBorder, createMouseInputListener, createPropertyListener, ensureVisible, getPreferredSize, getRoundHeight, getTitleHeight, installDefaults, installKeyboardActions, installListeners, installUI, isInBorder, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlossyTaskPaneUI

    public GlossyTaskPaneUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### createPaneBorder

    protected javax.swing.border.Border createPaneBorder()

  Description copied from class: `BasicTaskPaneUI`
  Creates new border for task pane.

  Overrides:
    `createPaneBorder` in class `BasicTaskPaneUI`
  Returns:
    Fresh border on every call.

### update

    public void update(java.awt.Graphics g,
                       javax.swing.JComponent c)

  Overriden to paint the background of the component but keeping the rounded corners.

  Overrides:
    `update` in class `javax.swing.plaf.ComponentUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.